## QStlink2-2bf0cd7d020e885a8b10f0d177c33f9bb1d5b00e.tar.gz

=== loaders/Makefile ===
	
CROSS_COMPILE=arm-none-eabi-
CC=$(CROSS_COMPILE)gcc
LD=$(CROSS_COMPILE)ld
OBJCOPY = $(CROSS_COMPILE)objcopy
CODE=src/loader.c src/clock.c
STARTUP=src/crt0.c

CFLAGS=-Wall -Iinc/ -Os -g -nostdlib -mthumb -DTHUMB -nostartfiles -fomit-frame-pointer -falign-functions=16 -ffunction-sections -fdata-sections -fno-common -flto
LDFLAGS=-Tinc/link.ld -Wl,--gc-sections -Wl,-Map,elf/$@.map

all: loader_f0.bin loader_f1_low_med.bin loader_f1.bin loader_f2.bin loader_f30.bin loader_f37.bin loader_f4.bin loader_l1.bin
 
%.bin: %.elf
	$(OBJCOPY) -O binary elf/$^ bin/$@
	rm -vf elf/$^

loader_f0.elf: $(STARTUP) $(CODE) src/stm32f0xx_flash.c
	$(CC) -o elf/$@ $(CFLAGS) -DSTM32F0 -mcpu=cortex-m0 $(LDFLAGS)  $^
	
loader_f1_low_med.elf: $(STARTUP) $(CODE) src/stm32f10x_flash.c
	$(CC) -o elf/$@ $(CFLAGS) -DSTM32F1_LOW_MED -DSTM32F10X_MD -mcpu=cortex-m3 $(LDFLAGS) $^
	
loader_f1.elf: $(STARTUP) $(CODE) src/stm32f10x_flash.c
	$(CC) -o elf/$@ $(CFLAGS) -DSTM32F1 -DSTM32F10X_MD -mcpu=cortex-m3 $(LDFLAGS) $^
	
loader_f2.elf: $(STARTUP) $(CODE) src/stm32f2xx_flash.c
	$(CC) -o elf/$@ $(CFLAGS) -DSTM32F2 -mcpu=cortex-m3 $(LDFLAGS) $^
	
loader_f30.elf: $(STARTUP) $(CODE) src/stm32f30x_flash.c
	$(CC) -o elf/$@ $(CFLAGS) -DSTM32F30 -mcpu=cortex-m4 $(LDFLAGS) $^
	
loader_f37.elf: $(STARTUP) $(CODE) src/stm32f37x_flash.c
	$(CC) -o elf/$@ $(CFLAGS) -DSTM32F37 -mcpu=cortex-m4 $(LDFLAGS) $^
	
loader_f4.elf: $(STARTUP) $(CODE) src/stm32f4xx_flash.c
	$(CC) -o elf/$@ $(CFLAGS) -DSTM32F4 -mcpu=cortex-m4 $(LDFLAGS) $^
	
loader_l1.elf: $(STARTUP) $(CODE) src/stm32l1xx_flash.c
	$(CC) -o elf/$@ $(CFLAGS) -DSTM32L1 -mcpu=cortex-m3 $(LDFLAGS) $^

clean_bin:
	rm -fv bin/*.bin

clean: clean_bin clean_elf

=== package/debian/control ===
Source: qstlink2
Section: devel
Priority: extra
Maintainer: Fabien Poussin <fabien.poussin@gmail.com>
Build-Depends: debhelper (>= 8.0.0), cdbs, qtbase5-dev, qt5-qmake, qt5-default, libusb-1.0-0-dev
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/qstlink2/

Package: qstlink2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5xml5, libusb-1.0-0
Description: ST-Link V2 Client based on QT.
 QSTLink2 is a multi-platform ST-Link V2 Client based on QT.
